const remoteExec = require('./remoteExec.js');

// links services and module.exports
const services = module.exports = {};

services['infrastructure'] = {};

services['infrastructure']['rebuild'] = {};
services['infrastructure']['rebuild'].regex = /^([a-zA-Z0-9\-\_]*)$/;
services['infrastructure']['rebuild'].usage = '<container>';
services['infrastructure']['rebuild'].exec = (args) => {
    const container = args[1];
    
    matrixClient.sendNotice(room.roomId, 'rebuilding container ' + container);
    
    remoteExec('./rebuild.sh ' + container)
    .then(function(result) {
        matrixClient.sendNotice(room.roomId, event.sender.userId + '\nrebuilt container ' + container);
    }, function(result) {
        matrixClient.sendNotice(room.roomId, event.sender.userId + '\nrebuild of container ' + container + ' failed.\ncode: ' + result.code + '\nstdout: \n```\n' + result.stdout + '```\nstderr: \n```\n' + result.stderr + '\n```');
    });
};